---
agentTools:
  projectIndex: https://docs.datananas.com/llms.txt
---

# Find activites

Filter activities (what happened on the site) by user, contact, type, etc... Activities are sorted by creation date with the most recent first.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "API",
    "description": "Datananas API Reference",
    "termsOfService": "https://www.datananas.com/legal/terms",
    "contact": {
      "name": "Development team",
      "url": "https://docs.datananas.com",
      "email": "dev@datananas.com"
    },
    "version": "2.5.60"
  },
  "servers": [
    {
      "url": "https://api.datananas.com",
      "description": "Production"
    },
    {
      "url": "https://api.staging.datananas.com",
      "description": "Staging"
    }
  ],
  "tags": [
    {
      "name": "Activities"
    }
  ],
  "paths": {
    "/activities": {
      "get": {
        "tags": [
          "Activities"
        ],
        "summary": "Find activites",
        "description": "Filter activities (what happened on the site) by user, contact, type, etc... Activities are sorted by creation date with the most recent first.",
        "parameters": [
          {
            "$ref": "#/components/parameters/limit"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/userIds"
          },
          {
            "name": "types",
            "in": "query",
            "description": "Activity type. `auto_*` activities are not related to a user and are automatically generated.",
            "schema": {
              "type": "array",
              "minItems": 1,
              "items": {
                "type": "string",
                "enum": [
                  "auto_contact_blacklist",
                  "auto_contact_state_paused",
                  "auto_contact_state_unresponsive",
                  "briteverify_enrich_contact",
                  "calendly_contact_appointment_scheduled",
                  "campaign_step_reached",
                  "contact_email_click",
                  "contact_email_open",
                  "contact_email_reply",
                  "contact_email_unsubscribe",
                  "contact_stage_update",
                  "contact_state_update",
                  "user_blacklist_delete",
                  "user_briteverify_authorize",
                  "user_briteverify_revoke",
                  "user_contact_create",
                  "user_contact_delete",
                  "user_contact_pause",
                  "user_contact_send",
                  "user_contact_unpause",
                  "user_contact_unsubscribe",
                  "user_contact_update",
                  "user_linkedin_connect",
                  "user_linkedin_view",
                  "user_message_create",
                  "user_note_create",
                  "user_pipedrive_authorize",
                  "user_pipedrive_revoke",
                  "user_calendly_authorize",
                  "user_calendly_revoke",
                  "user_task_complete",
                  "user_task_create",
                  "user_contact_campaign"
                ]
              }
            }
          },
          {
            "name": "resources",
            "in": "query",
            "description": "Additionnal related information to add to the `data` output parameter",
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "blacklist",
                  "campaign",
                  "contact",
                  "message",
                  "reply",
                  "task",
                  "user"
                ]
              }
            }
          },
          {
            "name": "contactId",
            "in": "query",
            "description": "Id of the contact to filter",
            "schema": {
              "type": "string",
              "format": "objectId"
            }
          },
          {
            "name": "campaignId",
            "in": "query",
            "description": "Id of the campaign to filter",
            "schema": {
              "type": "string",
              "format": "objectId"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A list of activities",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "activities": {
                      "type": "array",
                      "items": {
                        "allOf": [
                          {
                            "$ref": "#/components/schemas/Activity"
                          }
                        ],
                        "properties": {
                          "data": {
                            "type": "object",
                            "description": "Additionnal data matching with the input `resources` parameter. All resources also have an `_id` and a `createdAt` properties.",
                            "properties": {
                              "blacklist": {
                                "type": "object",
                                "properties": {
                                  "reason": {
                                    "type": "string",
                                    "example": "competitor",
                                    "description": "Why this blacklist entry exists"
                                  },
                                  "type": {
                                    "$ref": "#/components/schemas/BlacklistType"
                                  },
                                  "userId": {
                                    "description": "Id of the user that created this blacklist entry"
                                  },
                                  "value": {
                                    "type": "string",
                                    "description": "blacklist value",
                                    "example": "saitama@datananas.com"
                                  }
                                }
                              },
                              "campaign": {
                                "type": "object",
                                "properties": {
                                  "name": {
                                    "type": "string",
                                    "description": "sequence name",
                                    "example": "S class heroes"
                                  },
                                  "userId": {
                                    "type": "string",
                                    "format": "objectId",
                                    "description": "Who created the sequence"
                                  }
                                }
                              },
                              "contact": {
                                "type": "object",
                                "allOf": [
                                  {
                                    "$ref": "#/components/schemas/Individual"
                                  }
                                ],
                                "properties": {
                                  "company_name": {
                                    "$ref": "#/components/schemas/CompanyName"
                                  },
                                  "linkedinurl": {
                                    "type": "string",
                                    "description": "linkedin profile of the contact"
                                  },
                                  "stage": {
                                    "type": "object",
                                    "properties": {
                                      "color": {
                                        "description": "hexadecimal stage color",
                                        "type": "string"
                                      },
                                      "name": {
                                        "description": "stage name",
                                        "type": "string"
                                      }
                                    }
                                  },
                                  "userId": {
                                    "description": "contact owner's id",
                                    "type": "string",
                                    "format": "objectId"
                                  }
                                }
                              },
                              "message": {
                                "type": "object",
                                "properties": {
                                  "date": {
                                    "type": "string",
                                    "format": "date-time",
                                    "description": "Server date"
                                  },
                                  "from": {
                                    "type": "string",
                                    "format": "email",
                                    "description": "First email in the from array of a message"
                                  },
                                  "stepNb": {
                                    "type": "integer",
                                    "minimum": 1,
                                    "description": "Sequence step corresponding to the message"
                                  },
                                  "subject": {
                                    "type": "string",
                                    "description": "Message subject"
                                  },
                                  "to": {
                                    "type": "string",
                                    "format": "email",
                                    "description": "First email in the to array of a message"
                                  }
                                }
                              },
                              "reply": {
                                "type": "object",
                                "properties": {
                                  "category": {
                                    "$ref": "#/components/schemas/MessageCategory"
                                  },
                                  "date": {
                                    "type": "string",
                                    "format": "date-time",
                                    "description": "Server date"
                                  },
                                  "from": {
                                    "type": "string",
                                    "format": "email",
                                    "description": "First email in the from array of a message"
                                  },
                                  "subject": {
                                    "type": "string",
                                    "description": "Message subject"
                                  },
                                  "to": {
                                    "type": "string",
                                    "format": "email",
                                    "description": "First email in the to array of a message"
                                  }
                                }
                              },
                              "task": {
                                "type": "object",
                                "properties": {
                                  "contactId": {
                                    "type": "string",
                                    "format": "objectId",
                                    "description": "contact concerned by the task"
                                  },
                                  "isSkipped": {
                                    "type": "boolean",
                                    "description": "When true, the task won't be rescheduled"
                                  },
                                  "name": {
                                    "type": "string",
                                    "description": "task name"
                                  },
                                  "stepNb": {
                                    "type": "integer",
                                    "description": "Sequence step number",
                                    "minimum": 1
                                  },
                                  "type": {
                                    "type": "string",
                                    "description": "task type"
                                  },
                                  "importance": {
                                    "type": "string",
                                    "description": "task level of importance"
                                  }
                                }
                              },
                              "user": {
                                "$ref": "#/components/schemas/Individual"
                              }
                            }
                          }
                        }
                      }
                    },
                    "nextPage": {
                      "type": "boolean",
                      "description": "Whether there are more activities corresponding to the input query parameters"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          }
        },
        "security": [
          {
            "api_auth": [
              "activities:filter:own",
              "activities:filter:company"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "page": {
        "in": "query",
        "name": "page",
        "description": "Index of the result page to return",
        "schema": {
          "type": "integer",
          "default": 0,
          "minimum": 0
        }
      },
      "limit": {
        "in": "query",
        "name": "limit",
        "description": "Maximum number of item to return",
        "schema": {
          "type": "integer",
          "minimum": 1,
          "default": 25
        }
      },
      "userIds": {
        "in": "query",
        "name": "userIds",
        "schema": {
          "minItems": 1,
          "type": "array",
          "items": {
            "type": "string",
            "format": "objectId"
          }
        },
        "description": "Ids of the users for whom stats should be returned",
        "example": [
          "61e16ae52c0d6431cbe5db9d"
        ]
      }
    },
    "responses": {
      "Forbidden": {
        "description": "The user does not have the rights to access this resource",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/HTTPError"
            },
            "example": {
              "name": "Forbidden",
              "status": 403
            }
          }
        }
      }
    },
    "schemas": {
      "CompanyName": {
        "type": "string",
        "description": "Company name",
        "example": "Datananas"
      },
      "Email": {
        "type": "string",
        "format": "email",
        "description": "Email address",
        "example": "jane.doe@example.com"
      },
      "FirstName": {
        "type": "string",
        "description": "Individual's first name",
        "example": "Jane"
      },
      "_Id": {
        "type": "string",
        "format": "objectId",
        "description": "Resource unique identifier"
      },
      "Individual": {
        "type": "object",
        "properties": {
          "email": {
            "$ref": "#/components/schemas/Email"
          },
          "first_name": {
            "$ref": "#/components/schemas/FirstName"
          },
          "last_name": {
            "$ref": "#/components/schemas/LastName"
          }
        }
      },
      "LastName": {
        "type": "string",
        "description": "Individual's last name",
        "example": "Doe"
      },
      "CompanyId": {
        "type": "string",
        "format": "objectId",
        "description": "Id of the company owning the resource",
        "example": "538f93f6d4f7f7f816804dee"
      },
      "BlacklistType": {
        "description": "Type of an item in a blacklist",
        "example": "domain",
        "type": "string",
        "enum": [
          "domain",
          "email"
        ]
      },
      "MessageCategory": {
        "example": "positive",
        "type": "string",
        "description": "Classification label of a message",
        "enum": [
          "bounce",
          "not-available",
          "out-of-office",
          "negative",
          "positive",
          "wrong-contact",
          "unknown",
          "do-not-contact",
          "anti-spam"
        ]
      },
      "UserId": {
        "type": "string",
        "format": "objectId",
        "description": "Id of the user owning the resource",
        "example": "643fb3ed8b3c852ae276b1c2"
      },
      "Owners": {
        "type": "object",
        "properties": {
          "_id": {
            "$ref": "#/components/schemas/_Id"
          },
          "companyId": {
            "$ref": "#/components/schemas/CompanyId"
          },
          "userId": {
            "$ref": "#/components/schemas/UserId"
          }
        }
      },
      "CreatedAt": {
        "type": "string",
        "description": "Resource creation date",
        "format": "date-time"
      },
      "Timestamps": {
        "type": "object",
        "properties": {
          "createdAt": {
            "$ref": "#/components/schemas/CreatedAt"
          },
          "updatedAt": {
            "type": "string",
            "description": "Resource last update date",
            "format": "date-time"
          }
        }
      },
      "Activity": {
        "allOf": [
          {
            "$ref": "#/components/schemas/Owners"
          },
          {
            "$ref": "#/components/schemas/Timestamps"
          },
          {
            "properties": {
              "type": {
                "type": "string",
                "description": "Activity type. They are often divided in 3 parts separate by underscores.\nThe first part is the entity that made the action, the second one is the targeted entity and the last one is the action made.\nExamples:\n  * user_contact_update => A user has updated a contact.\n  * auto_contact_state_paused => The software automatically paused a contact in a sequence",
                "enum": [
                  "auto_contact_blacklist",
                  "auto_contact_state_paused",
                  "auto_contact_state_unresponsive",
                  "briteverify_enrich_contact",
                  "calendly_contact_appointment_scheduled",
                  "clearbit_enrich_contact",
                  "contact_email_click",
                  "contact_email_open",
                  "contact_email_reply",
                  "contact_email_unsubscribe",
                  "contact_stage_update",
                  "contact_state_update",
                  "user_activate",
                  "user_billing_subscribe",
                  "user_billing_upgrade",
                  "user_blacklist_delete",
                  "user_blacklist_empty",
                  "user_blacklist_export",
                  "user_briteverify_authorize",
                  "user_briteverify_revoke",
                  "user_campaign_create",
                  "user_campaign_delete",
                  "user_campaign_update",
                  "user_clearbit_authorize",
                  "user_clearbit_revoke",
                  "user_contact_campaign",
                  "user_contact_create",
                  "user_contact_delete",
                  "user_contact_pause",
                  "user_contact_unpause",
                  "user_contact_unsubscribe",
                  "user_contact_update",
                  "user_contacts_export",
                  "user_csv_import",
                  "user_email_authorize",
                  "user_email_revoke",
                  "user_google_authorize",
                  "user_google_revoke",
                  "user_imap-ews_authorize",
                  "user_imap-ews_revoke",
                  "user_imap-smtp_authorize",
                  "user_imap-smtp_revoke",
                  "user_imap_authorize",
                  "user_imap_revoke",
                  "user_list_create",
                  "user_list_delete",
                  "user_list_update",
                  "user_login",
                  "user_message_create",
                  "user_message_update",
                  "user_microsoft_authorize",
                  "user_microsoft_revoke",
                  "user_note_create",
                  "user_password_change",
                  "user_password_reset",
                  "user_pipedrive_authorize",
                  "user_pipedrive_revoke",
                  "user_calendly_authorize",
                  "user_calendly_revoke",
                  "user_provider_authorize",
                  "user_provider_revoke",
                  "user_register",
                  "user_search_create",
                  "user_search_delete",
                  "user_search_update",
                  "user_task_create",
                  "user_task_update",
                  "user_template_create",
                  "user_template_delete",
                  "user_template_update",
                  "user_update",
                  "user_variable_create",
                  "user_variable_delete"
                ]
              },
              "success": {
                "type": "boolean",
                "description": "The status of the activity"
              },
              "ip": {
                "type": "string",
                "description": "The id of the user",
                "format": "ip"
              },
              "contactId": {
                "type": "string",
                "description": "The id of the contact",
                "format": "objectId",
                "default": null
              },
              "campaignId": {
                "type": "string",
                "description": "The id of the campaign",
                "format": "objectId",
                "default": null
              },
              "linkTrackingId": {
                "type": "string",
                "description": "Id of a tracked link",
                "format": "objectId",
                "default": null
              },
              "listId": {
                "$ref": "#/components/schemas/ContactListId"
              },
              "templateId": {
                "type": "string",
                "description": "The id of the template",
                "format": "objectId",
                "default": null
              },
              "taskId": {
                "type": "string",
                "description": "The id of the task",
                "format": "objectId",
                "default": null
              },
              "variableId": {
                "type": "string",
                "description": "The id of the variable",
                "format": "objectId",
                "default": null
              },
              "noteId": {
                "type": "string",
                "description": "The id of the note",
                "format": "objectId",
                "default": null
              },
              "blacklistId": {
                "type": "string",
                "description": "The id of the blacklist",
                "format": "objectId",
                "default": null
              },
              "messageId": {
                "type": "string",
                "description": "The id of the message",
                "format": "objectId",
                "default": null
              },
              "searchId": {
                "type": "string",
                "description": "The id of the search",
                "format": "objectId",
                "default": null
              },
              "context": {
                "type": "object",
                "properties": {
                  "message": {
                    "type": "string",
                    "description": "[type=user_linkedin_view] - A string in english that describes a possible error"
                  },
                  "newState": {
                    "type": "string",
                    "description": "contact_state_update - state of the contact after the update"
                  },
                  "oldState": {
                    "type": "string",
                    "description": "[type=contact_state_update] - state of the contact before the update"
                  },
                  "replyId": {
                    "type": "string",
                    "format": "objectId",
                    "description": "[type=contact_email_reply] - id of the reply message"
                  },
                  "reason": {
                    "type": "string",
                    "enum": [
                      "blacklist",
                      "do_not_contact",
                      "linkedin_not_connected",
                      "linkedin_not_found",
                      "linkedin_cookies_expired",
                      "linkedin_too_many_contact",
                      "linkedin_view_failed",
                      "unexpected_error"
                    ],
                    "description": "[success=false]A standardize reason of why the activity failed. When a unknown error happend, unexpected_error will be the reason - [type=auto_contact_blacklist] Blacklisting reason\n  - blacklist\n  - do_not_contact)\n- [type=user_linkedin_view] Linkedin failure\n  - linkedin_cookies_expired: unable to connect to linkedin because user cookies are expired\n  - linkedin_not_connected: The user's linkedin account is not connected\n  - linkedin_not_found: The contact has not been found on linkedin\n  - linkedin_too_many_contact: More than one contact have been found on linkedin\n  - linkedin_view_failed: Unable to view the contact on linkedin"
                  }
                },
                "description": "An optional context object",
                "default": {}
              }
            }
          }
        ],
        "description": "This model logs each activity of our users or contact"
      },
      "ContactListId": {
        "type": "string",
        "format": "objectId",
        "description": "Id of the list the contact is in",
        "default": null,
        "example": "64412a954c4ead28f67ae09a"
      },
      "HTTPError": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "Error name"
          },
          "status": {
            "type": "integer",
            "description": "http status"
          }
        }
      }
    },
    "securitySchemes": {
      "api_auth": {
        "type": "oauth2",
        "flows": {
          "implicit": {
            "authorizationUrl": "https://api.datananas.com/users/authorize",
            "scopes": {
              "accounts:domain:own": "Find domains from company name",
              "accounts:email:own": "Find possible emails for a contact",
              "accounts:bulk:own": "Find possible emails for multiple contacts",
              "activities:filter:own": "Filter activities owned by own",
              "activities:filter:company": "Filter activities owned by his company",
              "activities:filter-user:own": "Filter user activities owned by own",
              "activities:filter-user:company": "Filter user activities owned by his company",
              "activities:filter-contact:own": "Filter contact activities owned by own",
              "activities:filter-contact:company": "Filter contact activities owned by his company",
              "calls:send:own": "Send calls from Twillio",
              "calls:receive:own": "Receive calls from Twillio",
              "campaigns:create:own": "Create a campaign owned by him",
              "campaigns:delete:company": "Delete a campaign owned by his company",
              "campaigns:delete:own": "Delete a campaign owned by him",
              "campaigns:filter:own": "Filter campaigns owned by him",
              "campaigns:filter:company": "Filter campaigns owned by his company",
              "campaigns:get:all": "Get a campaign",
              "campaigns:get:company": "Get a campaign owned by his company",
              "campaigns:get:own": "Get a campaign owned by him",
              "campaigns:test:own": "Test a user sequence for a contact of the user",
              "campaigns:test:company": "Test a company sequence for a contact of the company",
              "campaigns:update:own": "Update an existing campaign owned by him",
              "campaigns:update:company": "Update an existing campaign by his company",
              "campaigns:complete:own": "Generate a campaign with OpenAI",
              "contacts:create:own": "Create a new contact in a list owned by him",
              "contacts:create:company": "Create a new contact in a list owned by his company",
              "contacts:create-bulk:own": "Create contacts in a list owned by him",
              "contacts:create-bulk:company": "Create contacts in a list owned by his group",
              "contacts:engage:own": "Engage contacts owned by a user on a sequence",
              "contacts:engage:company": "Engage contacts owned by a company on a sequence",
              "contacts:engage-solo:own": "Engage contacts for the current user",
              "contacts:engage-other:own": "Engage contacts for a user",
              "contacts:engage-multi:own": "Engage contacts for many users",
              "contacts:export:company": "Export contacts owned by the company",
              "contacts:get:all": "Get a contact",
              "contacts:get:company": "Get a contact owned by his company",
              "contacts:get:own": "Get a contact owned by him",
              "contacts:update:own": "Update an existing contact in a list owned by him",
              "contacts:update:company": "Update an existing contact in a list owned by his company",
              "contacts:upgrade:company": "Upgrade the contacts of its own company",
              "contacts:delete:own": "Delete an existing contact in a list owned by him",
              "contacts:delete:company": "Delete an existing contact in a list owned by his company",
              "contacts:filter:company": "Filter contacts in the company",
              "contacts:filter:own": "Filter owned contacts",
              "contacts:import:own": "Import a file containing contacts",
              "contacts:unsubscribe-contact:own": "Unsubscribe his own contacts",
              "contacts:unsubscribe-contact:company": "Unsubscribe contacts from the company",
              "companies:list:all": "List all companies",
              "companies:get:all": "Get a company",
              "companies:get:company": "Get a company from the same company",
              "companies:update:all": "Update a company",
              "companies:update:company": "Update a company from the same company",
              "companies:create:all": "Create a company",
              "companies:delete:all": "Soft delete a company",
              "companies:subscribe:own": "Manage company subscription",
              "companies:update-subscription:company": "Update company subscription",
              "companies:update-subscription:all": "Update company in all companies",
              "companies:quotas:all": "Get quotas for all companies",
              "companies:quotas:company": "Get quotas from one company",
              "email:score:own": "Score an email",
              "feedback:feedback:own": "Submit a feedback about Engage",
              "feedback:feedback:company": "Submit a feedback about Engage",
              "filters:filter:own": "List filters owned by the a user",
              "filters:filter:company": "List filters owned by a company",
              "filters:create:own": "Create a filter for a user",
              "filters:update:own": "Updates a user filter",
              "filters:update:company": "Updates filters for a company",
              "filters:delete:own": "Delete a user filter",
              "filters:delete:company": "Delete filters for a company",
              "filters:get:own": "Get a filter for a user",
              "filters:get:company": "Get a filter for a company",
              "groups:list:all": "List all groups of all companies",
              "invoices:create:all": "Create invoices for any company",
              "invoices:update:all": "Update an invoice for any company",
              "invoices:get:all": "Get any invoice of any company",
              "invoices:get:company": "Get any invoice of one company",
              "invoices:filter:all": "Apply filters on all companies",
              "invoices:filter:company": "Apply filters on one company",
              "lists:list:own": "List lists owned by him",
              "lists:list:company": "List lists owned by the company",
              "lists:create:own": "Create a new list of contacts owned by him",
              "lists:get:own": "Get one list of a user",
              "lists:get:company": "Get one list of a company",
              "lists:update:own": "Edit a list of contacts owned by him",
              "lists:update:company": "Edit a list of contacts owned by the company",
              "lists:delete:own": "Delete a list owned by him",
              "lists:delete:company": "Delete a list owned by the company",
              "messages:filter:own": "Filter messages owned by him",
              "messages:list:own": "List messages owned by him (compatibility)",
              "messages:filter:company": "Filter messages owned by the company",
              "messages:list:company": "Filter messages owned by the company",
              "messages:get:own": "Get a message owned by him",
              "messages:get:company": "Get a message owned by the company",
              "messages:create:own": "Creates a new message owned by the user",
              "messages:create:company": "Creates a new message for another user",
              "messages:update:own": "Update a message owned by him",
              "messages:update:company": "Update a message owned by the company",
              "pending-emails:filter:own": "Get the list of scheduled emails for the user",
              "pending-emails:filter:company": "Get the list of scheduled emails for the company",
              "pending-emails:update:own": "Update a pending for a contact",
              "pending-emails:update:company": "Update a pending for a company",
              "plannings:create:own": "Create a planning",
              "plannings:delete:own": "Delete a planning for a user",
              "plannings:delete:company": "Delete a planning for a company",
              "plannings:filter:company": "Filter plannings for a company",
              "plannings:get:company": "Get a planning for a company",
              "plannings:set-default:own": "Users can set a default planning among its own plannings",
              "plannings:set-default:company": "Users can set a default planning among the ones of its company",
              "plannings:update:own": "Update a planning for a user",
              "plannings:update:company": "Update a planning for a company",
              "scopes:get:own": "Get own scopes",
              "scopes:get:company": "Get company scopes",
              "scopes:get:all": "Get a single scope",
              "scopes:list:all": "List all scopes",
              "stages:create:company": "Create a company stage",
              "stages:delete:company": "Delete a company stage",
              "stages:filter:company": "Get some company stages",
              "stages:get:company": "Get one stage of the company",
              "stages:update:company": "Update a stage",
              "stats:get:own": "Access to user allowed stats",
              "stats:get:company": "Access to all the stats of a company",
              "tasks:create:own": "Create a new task owned by him",
              "tasks:create:company": "Create a task owned someone in the same company",
              "tasks:update:own": "Update an existing email template owned by him",
              "tasks:update:company": "Update an existing email template by his company",
              "tasks:filter:own": "Filter tasks owned by him",
              "tasks:filter:company": "Filter tasks owned by the company",
              "templates:use:own": "CRUD templates owned by a user",
              "users:create:company": "Create user in own company",
              "users:list:all": "List all users in every companies, groups",
              "users:list:company": "List all users in own company",
              "users:revoke-token:company": "Revoke an access token for a company",
              "users:revoke-token:own": "Revoke an access token for a user",
              "users:get:all": "Get every user",
              "users:get:company": "Get a user among users in a company",
              "users:get:own": "Get the connected user",
              "users:update:all": "Update a user in every companies, groups",
              "users:update:company": "Update users in company",
              "users:update:own": "Update his own information",
              "users:list-roles:all": "List all roles of a user",
              "users:logout:own": "Log out a user",
              "users:manage-roles:all": "Grant/Revoke role to all users",
              "users:manage-roles:company": "Grant/Revoke role to users within the company",
              "users:delete:company": "Delete a user in his company",
              "users:delete:all": "Delete a user",
              "users:sudo:all": "Sudo to user accounts",
              "roles:create:all": "Create a role",
              "roles:update:all": "Update a role",
              "roles:list:all": "List all roles",
              "roles:get:all": "Get a role",
              "roles:list-scopes:all": "List all scopes in a role",
              "variables:filter:own": "Filter his own variables",
              "variables:filter:company": "Filter his company variables",
              "variables:delete:own": "Delete variable owned by him",
              "variables:delete:company": "Delete variable owned by his company",
              "variables:create:own": "Create a variable",
              "integrations:list:all": "List all integrations",
              "integrations:list:company": "List company integrations",
              "integrations:list:own": "List users integrations",
              "integrations:create:all": "Create integration for a company",
              "integrations:delete:all": "Delete and revoke an integration for a company",
              "integrations:get-fields:company": "Get available fields for an integration",
              "blacklist:count:own": "Count blacklisted entries owned by the user",
              "blacklist:count:company": "Count blacklisted entries owned by the company",
              "blacklist:create:company": "Add a blacklist owned by the company",
              "blacklist:delete:own": "Delete a blacklisted email owned by the user",
              "blacklist:delete:company": "Delete a blacklisted email owned by the company",
              "blacklist:export:company": "Export the company blacklist",
              "blacklist:filter:company": "Filter his company blacklisted emails",
              "media:filter:company": "Filter media owned by company",
              "media:upload:company": "Upload a media file",
              "notes:create:own": "Add a note to a contact owned by him",
              "notes:create:company": "Add a note to a contact owned by the company",
              "notes:update:own": "Update an existing contact's note owned by him",
              "notes:update:company": "Update an existing contact's note owned by his company",
              "notes:filter:own": "Filter notes owned by him",
              "notes:filter:company": "Filter a note owned by his company",
              "notes:get:own": "Get a note owned by him",
              "notes:get:company": "Get a note owned by his company",
              "notes:delete:own": "Delete a note owned by him",
              "notes:delete:company": "Delete a note owned by his company",
              "notifications:filter:own": "Get the user notification",
              "providers:revoke-briteverify:own": "Disconnect a Briteverify account",
              "providers:revoke-clearbit:own": "Disconnect a Clearbit account",
              "providers:revoke-imap-ews:own": "Disconnect an email directly with imap/ews",
              "providers:revoke-imap-smtp:own": "Disconnect an email directly with imap/smtp",
              "providers:revoke-google:own": "Disconnect a Google account",
              "providers:revoke-microsoft:own": "Disconnect a Microsoft account",
              "providers:revoke-nylas:own": "Disconnect a Nylas account",
              "providers:revoke-pipedrive:own": "Disconnect a Pipedrive account",
              "providers:revoke-calendly:own": "Disconnect a Calendly account",
              "providers:authorize-briteverify:own": "Connect a Briteverify account",
              "providers:authorize-clearbit:own": "Connect a Clearbit account",
              "providers:authorize-google:own": "Connect a Google account",
              "providers:authorize-imap-ews:own": "Connect an email directly with imap/ews",
              "providers:authorize-imap-smtp:own": "Connect an email directly with imap/smtp",
              "providers:authorize-nylas:own": "Connect a Nylas account",
              "providers:authorize-microsoft:own": "Connect a Microsoft account",
              "providers:authorize-pipedrive:own": "Connect a Pipedrive account",
              "providers:authorize-calendly:own": "Connect a Calendly account",
              "webhooks:get:own": "Get own webhooks url",
              "webhooks:create:company": "Create a webhook owned by the company",
              "webhooks:update:company": "Update a webhook owned by the company",
              "webhooks:delete:company": "Delete a webhook owned by the company"
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 93,
      "1": 1,
      "2": 60,
      "3": 224,
      "4": 62,
      "5": 158,
      "6": 165,
      "7": 0,
      "8": 75,
      "9": 198,
      "10": 118,
      "11": 30
    }
  }
}
```